# coding: utf-8
import json
import logging

from sockjs.tornado import SockJSConnection

browsers = []

def notify_browsers(msg='update', msg_type='out'):
    """ Оповещение всех браузеров, либо это обновление, либо сообщение из лога
    """
    for ws in browsers:
        ws.send(json.dumps({'msg': msg, 'type': msg_type}))

class BrowsersHandler(SockJSConnection):
    def on_open(self, info):
        browsers.append(self)

    def on_message(self, message):
        pass

    def on_close(self):
        if self in browsers:
            browsers.remove(self)