# coding: utf-8

import json
import os
from recipes import get_recipe_content, get_setup_tools

""" Различные сообщения, которые посылаются от сервера агенту
"""

def auth_request():
    message = {'command': 'auth_request'}
    return json.dumps(message)

def auth_response(allow):
    if allow:  message = {'command': 'auth_response', 'response': 'allow'}
    else:      message = {'command': 'auth_response', 'response': 'deny'}
    return json.dumps(message)

def status_request():
    message = {'command': 'status_request'}
    return json.dumps(message)

def installation_request(recipe_id, recipe_version, config):
    """ Запрос на установку рецепта, отсылается сам рецепт, 
        setup_tools и служебная информация
    """
    message = {'command': 'installation_request',
               'config': config,
               'recipe': get_recipe_content(recipe_id, recipe_version),
               'setup_tools': get_setup_tools()}
    return json.dumps(message)

def stop_installation_request():
    message = {'command': 'stop_installation_request'}
    return json.dumps(message)

def exit_request():
    message = {'command': 'exit_request'}
    return json.dumps(message)