# coding: utf-8
import json
import logging
import os

file_name = os.path.join('/etc/junta', 'server.json')
try:
    # чтение конфигов
    with open(file_name) as f:
        settings = json.load(f)
except IOError:
    logging.error('Could not open config file "{}"'.format(file_name))
    exit()

if 'recipes_path' not in settings:
    logging.error('"recipes_path" option must be specified')
    exit()
    
BASE_PATH = os.path.dirname(__file__)
RECIPES_PATH = settings['recipes_path']