#!/usr/bin/env python
# coding: utf-8

import glob
import os
import shutil
import sys
from distutils.core import setup


settings_path = '/etc/junta'
settings_files = ['agent.json', 'server.json']

setup(
    name='junta',
    version='0.2.14',
    packages=['junta', 'junta.server', 'junta.agent'],
    package_dir={'junta': '', 'junta.server': 'server', 'junta.agent': 'agent'},
    data_files=[
        ('/etc/init', ['setup/junta-agent.conf', 'setup/junta-server.conf']),
        ('/etc/junta', ['setup/default_' + name for name in settings_files])
        ],
    package_data={'junta.server': ['static/images/*', 'static/*.*', 'templates/*', 'backend/*']},
    author='iVideon',
    author_email='support@ivideon.ru',
    url='https://bitbucket.org/ivideon/junta',
    install_requires=['tornado', 'ws4py==0.1.4', 'pymongo', 'django']
    )

if 'install' in sys.argv:
    for f in settings_files:
        if not os.path.isfile(os.path.join(settings_path, f)):
            try:
                shutil.copyfile(os.path.join(settings_path, 'default_' + f), os.path.join(settings_path, f))
            except Exception as e:
                print "Error: can not copy config file. Exception: {}.".format(e)

#sudo python setup.py sdist upload

# УСТАНОВКА НА СЕРВЕР
#sudo apt-get install git
#sudo pip install git+https://github.com/MrJoes/sockjs-tornado.git
#sudo pip install --upgrade junta
#/usr/share$ sudo mkdir junta
#/usr/local/lib/python2.7/dist-packages/junta/server$ sudo python manage.py syncdb
#etc/init$ sudo nano junta-server.conf (изменить ip адрес)
